Create Payment Instruction

POSThttps://bank.dattaremit.com/api/payment_instructions

Requires a bank-scoped key.

Creates a payment instruction.

## State

StateDescription
storingThe Platform is storing the payment instruction details in our private store
createdThe Platform has created the payment instruction
expiredThe PaymentInstruction is no longer valid

Required scope: invoices:write

Body Params

required
invoice_guidstringrequired

The invoice guid.

expected_behaviourinvoice_paid_immediately

The optional expected behaviour to simulate.

Responses

201

Payment Instruction created

400

Bad Request

401

Unauthorized - Authentication failed

403

Invalid scope

409

Conflict

422

Unprocessable Content

Request

curl https://api.dattaremit.com/api/payment_instructions \
  -X POST \
  -H "Authorization: Bearer sk_test_YOUR_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "invoice_guid": "string",
  "expected_behaviour": "invoice_paid_immediately"
}'

Response

Payment Instruction created

{
  "guid": "string",
  "customer_guid": "string",
  "invoice_guid": "string",
  "created_at": "2026-07-20T16:27:51.438Z",
  "updated_at": "2026-07-20T16:27:51.438Z",
  "expired_at": "2026-07-20T16:27:51.438Z",
  "failed_at": "2026-07-20T16:27:51.438Z",
  "network_address": "string",
  "expected_payment_asset": "string",
  "expected_payment_amount": 1,
  "failure_code": "string",
  "state": "string"
}